player_wsn_power_config Struct Reference

Request/reply: Put the node in sleep mode (0) or wake it up (1). More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | node_id
| The ID of the WSN node. More...
int32_t | group_id
| The Group ID of the WSN node. More...
uint8_t | value
| Power setting: 0 for off, 1 for on. More...

## Detailed Description

Request/reply: Put the node in sleep mode (0) or wake it up (1).

Send a PLAYER_WSN_REQ_POWER request to power or wake up a node in the WSN. Null response.

## Member Data Documentation

int32_t player_wsn_power_config::group_id

The Group ID of the WSN node.

-1 for all.

int32_t player_wsn_power_config::node_id

The ID of the WSN node.

-1 for all.

uint8_t player_wsn_power_config::value

Power setting: 0 for off, 1 for on.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45